Bug 58695 - Security vunerability in SSH 1.2.2
Security vunerability in SSH 1.2.2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
6.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-23 05:46 EST by Deon George
Modified: 2007-03-26 23:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-23 05:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon George 2002-01-23 05:46:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Windows NT 5.0; U)

Description of problem:
As per Cert advisory "Vulnerability Note VU#945216" and "CERT. Incident Note IN-2001-12" my redhat system was compromised today via SSH.
I currently have installed

openssh-server-1.2.2-6
openssl-0.9.5a-7.6.x
openssh-1.2.2-6


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Refer to cert advisories.
2.
3.
	

Actual Results:  Jan 19 13:28:35 router sshd[3664]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:28:54 router sshd[3666]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:29:04 router sshd[3667]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:29:13 router sshd[3672]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:29:52 router sshd[3676]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:30:14 router sshd[3729]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:30:53 router sshd[3733]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:31:01 router sshd[3734]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:31:53 router sshd[3740]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:32:45 router sshd[3746]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:33:37 router sshd[3752]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:34:03 router sshd[3753]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:35:21 router sshd[3760]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:35:47 router sshd[3801]: Disconnecting: crc32 compensation attack: network attack detected
Jan 19 13:37:57 router sshd[3657]: fatal: Timeout before authentication for 63.221.255.70.
Jan 19 13:38:34 router sshd[3831]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:39:23 router sshd[3841]: Disconnecting: Corrupted check bytes on input.
Jan 19 13:42:44 router sshd[3904]: Failed password for ROOT from 217.156.90.144 port 1191
Jan 19 13:43:09 router sshd[3904]: fatal: Read from socket failed: Connection reset by peer
Jan 19 13:43:09 router PAM_pwdb[3904]: (sshd) session closed for user admin
Jan 19 13:44:14 router sshd[3909]: Failed password for operator from 217.156.90.144 port 1192
Jan 19 13:44:32 router sshd[3909]: fatal: Read from socket failed: Connection reset by peer
Jan 19 13:44:32 router PAM_pwdb[3909]: (sshd) session closed for user operator



Additional info:

User "operator" and user "admin" were created by the hacker with uid 0, and given a login password. The root users password was changed so that root was not 
able to login to system.
Comment 1 Nalin Dahyabhai 2002-03-07 11:55:04 EST
This is not really a bug report.  I suggest you get updated packages from
http://www.openssh.com/portable.html, and keep your system up to date.

Note You need to log in before you can comment on or make changes to this bug.